import React from 'react';
import { ICTableDef, ICTableProps, TCTableKey } from './ICTable';
export declare const cellHeight = 40;
export declare function funcOrItself(func: any, ...params: any): any;
export declare function CTableBody<K>(props: ICTableProps<K>): import("react/jsx-runtime").JSX.Element;
interface ICTableBodyHeaderRowProps<K> extends ICTableProps<K> {
    useCheck?: [K[], React.Dispatch<React.SetStateAction<K[]>>];
    useAsterisk?: string;
}
export declare function CTableBodyHeaderRow<K>(props: ICTableBodyHeaderRowProps<K>): import("react/jsx-runtime").JSX.Element;
interface ICTableBodyHeaderCellProps<K> {
    id: string;
    defKey: TCTableKey;
    def: ICTableDef<K>;
}
export declare function CTableBodyHeaderCell<K>(props: ICTableBodyHeaderCellProps<K>): import("react/jsx-runtime").JSX.Element;
interface ICTableBodyBodyProps<K> extends ICTableProps<K> {
    renderTableBody: () => void;
    showRows?: number;
}
export declare function CTableBodyBody<K>(props: ICTableBodyBodyProps<K>): import("react/jsx-runtime").JSX.Element;
interface ICTableLoadingMessageProps {
    loading?: boolean;
    noContentMsg?: string;
    showRows?: number;
}
export declare function CTableBodySkeleton(props: ICTableLoadingMessageProps): import("react/jsx-runtime").JSX.Element;
export declare function findObjectRec(obj: any, callBack: (obj: any) => boolean | undefined, visited?: any[]): any;
interface ICLoaderProps {
    loading?: boolean;
    disabled?: boolean;
}
export declare function CLoader(props: ICLoaderProps): import("react/jsx-runtime").JSX.Element;
export {};
